Bug 114994 - Sheet -> Link to External Data doesn't have button to load the URL
Summary: Sheet -> Link to External Data doesn't have button to load the URL
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-External-Datalink
  Show dependency treegraph
 
Reported: 2018-01-14 06:56 UTC by Dan Dascalescu
Modified: 2019-02-21 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Poor UX (40.27 KB, image/png)
2018-01-14 06:57 UTC, Dan Dascalescu
Details
Mockup for an improved dialog (89.61 KB, image/png)
2018-02-16 10:15 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2018-01-14 06:56:32 UTC
Description:
When trying to load external data via Sheet -> Link to External Data, there is no button to load the URL. "Browse" loads local filesystem files. There's no indication as to what the user needs to do after the enter or paste the URL in the 

Steps to Reproduce:
1. In a spreadsheet, go to Sheet -> Link to External Data
2. In the URL field, paste this: https://people.sc.fsu.edu/~jburkardt/data/csv/addresses.csv
3. Now what?

Actual Results:  
There should be a button to load the URL, or the "OK" button should be enabled.

Expected Results:
User has no idea what to do.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Comment 1 Dan Dascalescu 2018-01-14 06:57:02 UTC
Created attachment 139085 [details]
Poor UX
Comment 2 Xavier Van Wijmeersch 2018-01-14 09:59:26 UTC
Can reproduce with

Version: 5.4.4.2
Build ID: 2524958677847fb3bb44820e40380acbe820f960
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.5.0.0+
Build ID: b5e9fc18cb51e52f2f3f5b35cba7fed5cd6cb122
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.1.0.0+
Build ID: 3271e8b90f5d522fdfe1de46b77e7f67cdaa75af
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: dbf83d315acc454b576355f2e5bd8412586827ac
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-08_01:10:57
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 3 m.a.riosv 2018-01-15 23:43:22 UTC
Link to external data it's not for import csv files, they are raw text.

You can use Menu/Sheet/Insert sheet from file, keeping the link if you like.

Then it can be updated through Menu/Edit/Link
Comment 4 Dan Dascalescu 2018-01-17 01:41:29 UTC
Miguel, I've addressed your comments in bug #114995.

Regardless of whether this dialog should support CSV in addition to HTML (I don't see a reason why not), the bug still remains that there should be a button to load the contents at the URL, or "OK" should become enabled after the user pastes the URL.
Comment 5 Buovjaga 2018-02-11 14:33:12 UTC
Let's ask UX for what the exact solution should be
Comment 6 Eike Rathke 2018-02-15 15:02:34 UTC
There's a reason that the OK button is disabled because currently linking to plain text or CSV files is not supported, only HTML and spreadsheet documents are. Unsupported file formats will not be loaded, why should they. Only thing the dialog could do would be to display some "Unsupported file format" notice.
Comment 7 Eike Rathke 2018-02-15 17:35:54 UTC
Sorry, spreadsheet documents are not, only HTML query.
Comment 8 Heiko Tietze 2018-02-16 10:15:58 UTC
Created attachment 139939 [details]
Mockup for an improved dialog

The current dialog gives the user the clue that external data can be loaded. For example, I enter localhost://test.html and expect that this file is read. But Browse ignores the URL and just shows the file browser (also disregarding the content at URL as normal file dialogs work; for example you enter ./temp/foo.txt and Browse still shows the default (or last used) directory).

The attached mockup separates the local file browser from the input of an URL input (yet the experienced user can enter the URL in the file browser). More important is that with the non-editable URL field (whether a label or a static text field or read only dropdown) we can test the URL for valid data and warn for example that csv/txt is not supported yet.

The current drop down seems to allow loading of previously used files. Doubt that there is a use case for it, ie. loading ./temp/foo.html in session A and in session B again the same file.

Finally, the confusion with different contents as reported in bug 114996 could be solved by a tree that makes the hierarchical structure clear.
Comment 9 Heiko Tietze 2018-02-16 10:19:58 UTC
*** Bug 114995 has been marked as a duplicate of this bug. ***
Comment 10 m.a.riosv 2018-02-16 12:49:00 UTC
(In reply to Eike Rathke from comment #7)
> Sorry, spreadsheet documents are not, only HTML query.

If I'm not wrong works with spreadsheets when they have defined named ranges, then shows the list of them to select one.

BTW a good way to get a clock on a spreadsheet
Comment 11 Eike Rathke 2018-02-16 15:34:40 UTC
(In reply to Heiko Tietze from comment #8)
> For example, I enter localhost://test.html and expect that this file is
> read.
localhost://test.html is not a valid URI. Use something like file:///~/test.html and it works.

> The current drop down seems to allow loading of previously used files. Doubt
> that there is a use case for it, ie. loading ./temp/foo.html in session A
> and in session B again the same file.
Loading different tables of files into the same document at different places is a valid use case, so listing the already used files is helpful.
Comment 12 Eike Rathke 2018-02-16 15:39:28 UTC
(In reply to m.a.riosv from comment #10)
> (In reply to Eike Rathke from comment #7)
> > Sorry, spreadsheet documents are not, only HTML query.
> 
> If I'm not wrong works with spreadsheets when they have defined named
> ranges, then shows the list of them to select one.
Oops, indeed, that made it (both named ranges and named database ranges are supported), thanks for correction.
Comment 13 Dan Dascalescu 2018-02-16 19:40:46 UTC
> Sorry, spreadsheet documents are not, only HTML query.

I'm not sure how the file extension in the URL changes anything. Regardless of what document type I enter there, I still don't see a button to load that URL.
Comment 14 Eike Rathke 2018-02-20 09:42:22 UTC
It's not about file name extension. Enter a valid URI there and hit Enter.
Comment 15 QA Administrators 2019-02-21 03:42:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug